> For the complete documentation index, see [llms.txt](https://docs.idlayr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idlayr.com/get-started/sdks/ios/mobile-web-and-app-clip.md).

# Mobile web & App clip

Secure SNA With App Clip

```mermaid
sequenceDiagram
    participant XO as Website (via mobile)
    participant SDK as AppClip with IDlayr SDK (Device)
    participant CB as Customer Backend
    participant IB as IDlayr Backend
    participant MNO as Mobile Network Operator

    XO->>CB: Initiate MFA

    rect rgb(255,255,200)
        note over CB,IB: Coverage Process
    end
    CB->>IB: GET /v1/eligibility/phone-numbers/{number}
    IB-->>CB: Carrier supported
    
    CB->>IB: POST /v1/number-verification/secure-sna-checks/
    IB-->>CB: check_id + check_url

    CB->>SDK: Initiate AppClip for SNA

    SDK->>SDK: Launch AppClip SDK for SNA

    SDK->>SDK: IDlayr's SDK Enforce cellular data channel
    CB->>SDK: Provide check_url to AppClip
    SDK->>MNO: Follow check_url and all redirects
    MNO->>SDK: Response with code or error
    SDK->>CB: Send code from redirect to Customer Backend
    CB->>IB: PATCH /v1/number-verification/secure-sna-checks/{check_id} with code
    IB->>MNO: Request Result
    MNO-->>IB: Result
    IB->>CB: Final result (PASS/FAIL)

    note over XO,CB: Control passes from AppClip back to Website

    alt ❌ SNA authentication failed
        CB-->>XO: Fallback to alternate authentication flow
    else ✅ SNA authentication complete
        CB->>XO: Authentication success    
    end


```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.idlayr.com/get-started/sdks/ios/mobile-web-and-app-clip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
